## pulseview 0.4.1

=== CMakeLists.txt ===
##
## This file is part of the PulseView project.
##
## Copyright (C) 2012 Joel Holdsworth <joel@airwebreathe.org.uk>
## Copyright (C) 2012-2013 Alexandru Gagniuc <mr.nuke.me@gmail.com>
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

cmake_minimum_required(VERSION 2.8.12)

include(GNUInstallDirs)

project(pulseview)

# Let AUTOMOC and AUTOUIC process GENERATED files.
if(POLICY CMP0071)
	cmake_policy(SET CMP0071 NEW)
endif()

# Only interpret if() arguments as variables or keywords when unquoted.
if(POLICY CMP0054)
	cmake_policy(SET CMP0054 NEW)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMake")

#===============================================================================
#= User Options
#-------------------------------------------------------------------------------

option(DISABLE_WERROR "Build without -Werror" TRUE)
option(ENABLE_SIGNALS "Build with UNIX signals" TRUE)
option(ENABLE_STACKTRACE "Enable stack trace when crashing" FALSE)
option(ENABLE_DECODE "Build with libsigrokdecode" TRUE)
option(ENABLE_TESTS "Enable unit tests" FALSE)
option(STATIC_PKGDEPS_LIBS "Statically link to (pkg-config) libraries" FALSE)

if(WIN32)
	# On Windows/MinGW we need to statically link to libraries.
	# This option is user configurable, but enable it by default on win32.
	set(STATIC_PKGDEPS_LIBS TRUE)

	# Windows does not support UNIX signals.
	set(ENABLE_SIGNALS FALSE)
endif()

if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
	"Choose the type of build (None, Debug, Release, RelWithDebInfo, MinSizeRel)."
	FORCE)
endif()

#===============================================================================
#= Documentation
#-------------------------------------------------------------------------------

add_subdirectory(manual)

#===============================================================================
#= Dependencies
#-------------------------------------------------------------------------------

list(APPEND PKGDEPS glib-2.0>=2.28.0)
list(APPEND PKGDEPS glibmm-2.4>=2.28.0)

set(LIBSR_CXX_BINDING "libsigrokcxx>=0.5.1")
list(APPEND PKGDEPS "${LIBSR_CXX_BINDING}")

if(ENABLE_DECODE)
	list(APPEND PKGDEPS libsigrokdecode>=0.5.2)
endif()

if(ANDROID)
	list(APPEND PKGDEPS libsigrokandroidutils>=0.1.0)
endif()

find_package(PkgConfig)
pkg_check_modules(LIBSRCXX QUIET ${LIBSR_CXX_BINDING})
if(NOT LIBSRCXX_FOUND OR NOT LIBSRCXX_VERSION)
	message(FATAL_ERROR "libsigrok C++ bindings missing, check libsigrok's 'configure' output (missing dependencies?)")
endif()
pkg_check_modules(PKGDEPS REQUIRED ${PKGDEPS})

set(CMAKE_AUTOMOC TRUE)

find_package(Qt5 COMPONENTS Core Gui Widgets Svg REQUIRED)

if(WIN32)
	# MXE workaround: Use pkg-config to find Qt5 libs.
	# https://github.com/mxe/mxe/issues/1642
	# Not required (and doesn't work) on MSYS2.
	if(NOT DEFINED ENV{MSYSTEM})
		pkg_check_modules(QT5ALL REQUIRED Qt5Widgets Qt5Gui Qt5Svg)
	endif()
endif()

set(QT_LIBRARIES Qt5::Gui Qt5::Widgets Qt5::Svg)

set(BOOSTCOMPS filesystem serialization system)
if(ENABLE_TESTS)
	list(APPEND BOOSTCOMPS unit_test_framework)
endif()

if(ENABLE_STACKTRACE)
	find_package(Boost 1.65.1 COMPONENTS ${BOOSTCOMPS} REQUIRED)
else()
	find_package(Boost 1.55 COMPONENTS ${BOOSTCOMPS} REQUIRED)
endif()

# Find the platform's thread library (needed for C++11 threads).
# This will set ${CMAKE_THREAD_LIBS_INIT} to the correct, OS-specific value.
find_package(Threads REQUIRED)

# Check for explicit link against libatomic
#
# Depending on the toolchain, linking a program using atomic functions may need
# "-latomic" explicitly passed to the linker
#
# This check first tests if atomics are available in the C-library, if not and
# libatomic exists, then it runs the same test with -latomic added to the
# linker flags.

# Helper for checking for atomics
function(check_working_cxx_atomics varname additional_lib)
  include(CheckCXXSourceCompiles)
  include(CMakePushCheckState)
  cmake_push_check_state()
  set(CMAKE_REQUIRED_FLAGS "-std=c++11")
  set(CMAKE_REQUIRED_LIBRARIES "${additional_lib}")
  set(CMAKE_REQUIRED_QUIET 1)
  CHECK_CXX_SOURCE_COMPILES("
#include <atomic>
std::atomic<int> x;
int main() {
  return std::atomic_fetch_add_explicit(&x, 1, std::memory_order_seq_cst);
}
" ${varname})
  cmake_pop_check_state()
endfunction(check_working_cxx_atomics)

# First check if atomics work without the library.
# If not, check if the library exists, and atomics work with it.
check_working_cxx_atomics(HAVE_CXX_ATOMICS_WITHOUT_LIB "")
if(HAVE_CXX_ATOMICS_WITHOUT_LIB)
  message(STATUS "Atomics provided by the C-library - yes")
else()
  message(STATUS "Atomics provided by the C-library - no")
  find_library(LIBATOMIC_LIBRARY NAMES atomic PATH_SUFFIXES lib)
  if(LIBATOMIC_LIBRARY)
    check_working_cxx_atomics(HAVE_CXX_ATOMICS_WITH_LIB "${LIBATOMIC_LIBRARY}")
    if (HAVE_CXX_ATOMICS_WITH_LIB)
      message(STATUS "Atomics provided by libatomic - yes")
    else()
      message(STATUS "Atomics provided by libatomic - no")
      message(FATAL_ERROR "Compiler must support std::atomic!")
    endif()
  else()
    message(FATAL_ERROR "Compiler appears to require libatomic, but cannot find it.")
  endif()
endif()

#===============================================================================
#= System Introspection
#-------------------------------------------------------------------------------

include(memaccess)
memaccess_check_unaligned_le(HAVE_UNALIGNED_LITTLE_ENDIAN_ACCESS)

#===============================================================================
#= Config Header
#-------------------------------------------------------------------------------

set(PV_TITLE PulseView)
set(PV_VERSION_STRING "0.4.1")

set(PV_GLIBMM_VERSION ${PKGDEPS_glibmm-2.4_VERSION})

include(GetGitRevisionDescription)

# Append the revision hash unless we are exactly on a tagged release.
git_describe(PV_TAG_VERSION_STRING --match "pulseview-${PV_VERSION_STRING}" --exact-match)
if(NOT PV_TAG_VERSION_STRING)
	get_git_head_revision(PV_REVSPEC PV_HASH)
	if(PV_HASH)
		string(SUBSTRING "${PV_HASH}" 0 7 PV_SHORTHASH)
		set(PV_VERSION_STRING "${PV_VERSION_STRING}-git-${PV_SHORTHASH}")
	endif()

	# Non-tagged releases use the unstable manual
	set(PV_MANUAL_VERSION "unstable")
else()
	# Tagged releases use a fixed manual version
	set(PV_MANUAL_VERSION ${PV_VERSION_STRING})
endif()

if(PV_VERSION_STRING MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-[-0-9a-z]*)?$")
	set(PV_VERSION_MAJOR ${CMAKE_MATCH_1})
	set(PV_VERSION_MINOR ${CMAKE_MATCH_2})
	set(PV_VERSION_MICRO ${CMAKE_MATCH_3})
	set(PV_VERSION_SUFFIX ${CMAKE_MATCH_4})
endif()

message(STATUS "${PV_TITLE} version: ${PV_VERSION_STRING}")

configure_file (
	${PROJECT_SOURCE_DIR}/config.h.in
	${PROJECT_BINARY_DIR}/config.h
)

#===============================================================================
#= Sources
#-------------------------------------------------------------------------------

set(pulseview_SOURCES
	main.cpp
	pv/application.cpp
	pv/devicemanager.cpp
	pv/globalsettings.cpp
	pv/logging.cpp
	pv/mainwindow.cpp
	pv/session.cpp
	pv/storesession.cpp
	pv/util.cpp
	pv/binding/binding.cpp
	pv/binding/inputoutput.cpp
	pv/binding/device.cpp
	pv/data/analog.cpp
	pv/data/analogsegment.cpp
	pv/data/logic.cpp
	pv/data/logicsegment.cpp
	pv/data/signalbase.cpp
	pv/data/signaldata.cpp
	pv/data/segment.cpp
	pv/devices/device.cpp
	pv/devices/file.cpp
	pv/devices/hardwaredevice.cpp
	pv/devices/inputfile.cpp
	pv/devices/sessionfile.cpp
	pv/dialogs/connect.cpp
	pv/dialogs/inputoutputoptions.cpp
	pv/dialogs/settings.cpp
	pv/dialogs/storeprogress.cpp
	pv/popups/deviceoptions.cpp
	pv/popups/channels.cpp
	pv/prop/bool.cpp
	pv/prop/double.cpp
	pv/prop/enum.cpp
	pv/prop/int.cpp
	pv/prop/property.cpp
	pv/prop/string.cpp
	pv/toolbars/mainbar.cpp
	pv/views/trace/analogsignal.cpp
	pv/views/trace/cursor.cpp
	pv/views/trace/cursorpair.cpp
	pv/views/trace/flag.cpp
	pv/views/trace/header.cpp
	pv/views/trace/marginwidget.cpp
	pv/views/trace/logicsignal.cpp
	pv/views/trace/rowitem.cpp
	pv/views/trace/ruler.cpp
	pv/views/trace/signal.cpp
	pv/views/trace/timeitem.cpp
	pv/views/trace/timemarker.cpp
	pv/views/trace/trace.cpp
	pv/views/trace/tracegroup.cpp
	pv/views/trace/tracepalette.cpp
	pv/views/trace/tracetreeitem.cpp
	pv/views/trace/tracetreeitemowner.cpp
	pv/views/trace/triggermarker.cpp
	pv/views/trace/view.cpp
	pv/views/trace/viewitem.cpp
	pv/views/trace/viewitemowner.cpp
	pv/views/trace/viewitempaintparams.cpp
	pv/views/trace/viewport.cpp
	pv/views/trace/viewwidget.cpp
	pv/views/viewbase.cpp
	pv/views/trace/standardbar.cpp
	pv/widgets/colorbutton.cpp
	pv/widgets/colorpopup.cpp
	pv/widgets/devicetoolbutton.cpp
	pv/widgets/exportmenu.cpp
	pv/widgets/importmenu.cpp
	pv/widgets/popup.cpp
	pv/widgets/popuptoolbutton.cpp
	pv/widgets/sweeptimingwidget.cpp
	pv/widgets/timestampspinbox.cpp
	pv/widgets/wellarray.cpp
)

# This list includes only QObject derived class headers.
set(pulseview_HEADERS
	pv/logging.hpp
	pv/globalsettings.hpp
	pv/mainwindow.hpp
	pv/session.hpp
	pv/storesession.hpp
	pv/binding/device.hpp
	pv/data/analog.hpp
	pv/data/analogsegment.hpp
	pv/data/logic.hpp
	pv/data/logicsegment.hpp
	pv/data/signalbase.hpp
	pv/dialogs/connect.hpp
	pv/dialogs/inputoutputoptions.hpp
	pv/dialogs/settings.hpp
	pv/dialogs/storeprogress.hpp
	pv/popups/channels.hpp
	pv/popups/deviceoptions.hpp
	pv/prop/bool.hpp
	pv/prop/double.hpp
	pv/prop/enum.hpp
	pv/prop/int.hpp
	pv/prop/property.hpp
	pv/prop/string.hpp
	pv/toolbars/mainbar.hpp
	pv/views/trace/analogsignal.hpp
	pv/views/trace/cursor.hpp
	pv/views/trace/flag.hpp
	pv/views/trace/header.hpp
	pv/views/trace/logicsignal.hpp
	pv/views/trace/marginwidget.hpp
	pv/views/trace/rowitem.hpp
	pv/views/trace/ruler.hpp
	pv/views/trace/signal.hpp
	pv/views/trace/timeitem.hpp
	pv/views/trace/timemarker.hpp
	pv/views/trace/trace.hpp
	pv/views/trace/tracegroup.hpp
	pv/views/trace/tracetreeitem.hpp
	pv/views/trace/triggermarker.hpp
	pv/views/trace/view.hpp
	pv/views/trace/viewitem.hpp
	pv/views/trace/viewport.hpp
	pv/views/trace/viewwidget.hpp
	pv/views/viewbase.hpp
	pv/views/trace/standardbar.hpp
	pv/widgets/colorbutton.hpp
	pv/widgets/colorpopup.hpp
	pv/widgets/devicetoolbutton.hpp
	pv/widgets/exportmenu.hpp
	pv/widgets/importmenu.hpp
	pv/widgets/popup.hpp
	pv/widgets/popuptoolbutton.hpp
	pv/widgets/sweeptimingwidget.hpp
	pv/widgets/timestampspinbox.hpp
	pv/widgets/wellarray.hpp
)

set(pulseview_RESOURCES
	pulseview.qrc
)

if(ENABLE_SIGNALS)
	list(APPEND pulseview_SOURCES signalhandler.cpp)
	list(APPEND pulseview_HEADERS signalhandler.hpp)
endif()

if(ENABLE_DECODE)
	list(APPEND pulseview_SOURCES
		pv/binding/decoder.cpp
		pv/data/decodesignal.cpp
		pv/data/decode/annotation.cpp
		pv/data/decode/decoder.cpp
		pv/data/decode/row.cpp
		pv/data/decode/rowdata.cpp
		pv/views/trace/decodetrace.cpp
		pv/widgets/decodergroupbox.cpp
		pv/widgets/decodermenu.cpp
	)

	list(APPEND pulseview_HEADERS
		pv/data/decodesignal.hpp
		pv/views/trace/decodetrace.hpp
		pv/widgets/decodergroupbox.hpp
		pv/widgets/decodermenu.hpp
	)
endif()

if(WIN32)
	# Use the sigrok icon for the pulseview.exe executable.
	set(CMAKE_RC_COMPILE_OBJECT "${CMAKE_RC_COMPILER} -O coff -I${CMAKE_CURRENT_SOURCE_DIR} <SOURCE> <OBJECT>")
	enable_language(RC)
	list(APPEND pulseview_SOURCES pulseviewico.rc)
endif()

if(ANDROID)
	list(APPEND pulseview_SOURCES
		android/assetreader.cpp
		android/loghandler.cpp
	)
endif()

=== test/CMakeLists.txt ===
##
## This file is part of the PulseView project.
##
## Copyright (C) 2012 Joel Holdsworth <joel@airwebreathe.org.uk>
## Copyright (C) 2012 Alexandru Gagniuc <mr.nuke.me@gmail.com>
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

set(pulseview_TEST_SOURCES
	${PROJECT_SOURCE_DIR}/pv/application.cpp
	${PROJECT_SOURCE_DIR}/pv/devicemanager.cpp
	${PROJECT_SOURCE_DIR}/pv/globalsettings.cpp
	${PROJECT_SOURCE_DIR}/pv/logging.cpp
	${PROJECT_SOURCE_DIR}/pv/mainwindow.cpp
	${PROJECT_SOURCE_DIR}/pv/session.cpp
	${PROJECT_SOURCE_DIR}/pv/storesession.cpp
	${PROJECT_SOURCE_DIR}/pv/util.cpp
	${PROJECT_SOURCE_DIR}/pv/binding/binding.cpp
	${PROJECT_SOURCE_DIR}/pv/binding/device.cpp
	${PROJECT_SOURCE_DIR}/pv/binding/inputoutput.cpp
	${PROJECT_SOURCE_DIR}/pv/data/analog.cpp
	${PROJECT_SOURCE_DIR}/pv/data/analogsegment.cpp
	${PROJECT_SOURCE_DIR}/pv/data/logic.cpp
	${PROJECT_SOURCE_DIR}/pv/data/logicsegment.cpp
	${PROJECT_SOURCE_DIR}/pv/data/segment.cpp
	${PROJECT_SOURCE_DIR}/pv/data/signalbase.cpp
	${PROJECT_SOURCE_DIR}/pv/data/signaldata.cpp
	${PROJECT_SOURCE_DIR}/pv/devices/device.cpp
	${PROJECT_SOURCE_DIR}/pv/devices/file.cpp
	${PROJECT_SOURCE_DIR}/pv/devices/hardwaredevice.cpp
	${PROJECT_SOURCE_DIR}/pv/devices/inputfile.cpp
	${PROJECT_SOURCE_DIR}/pv/devices/sessionfile.cpp
	${PROJECT_SOURCE_DIR}/pv/dialogs/connect.cpp
	${PROJECT_SOURCE_DIR}/pv/dialogs/inputoutputoptions.cpp
	${PROJECT_SOURCE_DIR}/pv/dialogs/settings.cpp
	${PROJECT_SOURCE_DIR}/pv/dialogs/storeprogress.cpp
	${PROJECT_SOURCE_DIR}/pv/prop/bool.cpp
	${PROJECT_SOURCE_DIR}/pv/prop/double.cpp
	${PROJECT_SOURCE_DIR}/pv/prop/enum.cpp
	${PROJECT_SOURCE_DIR}/pv/prop/int.cpp
	${PROJECT_SOURCE_DIR}/pv/prop/property.cpp
	${PROJECT_SOURCE_DIR}/pv/prop/string.cpp
	${PROJECT_SOURCE_DIR}/pv/popups/channels.cpp
	${PROJECT_SOURCE_DIR}/pv/popups/deviceoptions.cpp
	${PROJECT_SOURCE_DIR}/pv/toolbars/mainbar.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/analogsignal.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/cursor.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/cursorpair.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/flag.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/header.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/marginwidget.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/logicsignal.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/rowitem.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/ruler.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/signal.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/timeitem.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/timemarker.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/trace.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/tracegroup.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/tracepalette.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/tracetreeitem.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/tracetreeitemowner.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/triggermarker.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/view.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/viewitem.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/viewitemowner.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/viewitempaintparams.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/viewport.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/viewwidget.cpp
	${PROJECT_SOURCE_DIR}/pv/views/viewbase.cpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/standardbar.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/colorbutton.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/colorpopup.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/devicetoolbutton.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/exportmenu.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/importmenu.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/popup.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/popuptoolbutton.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/sweeptimingwidget.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/timestampspinbox.cpp
	${PROJECT_SOURCE_DIR}/pv/widgets/wellarray.cpp
	data/analogsegment.cpp
	data/logicsegment.cpp
	data/segment.cpp
	view/ruler.cpp
	test.cpp
	util.cpp
)

# This list includes only QObject derived class headers.
set(pulseview_TEST_HEADERS
	${PROJECT_SOURCE_DIR}/pv/application.hpp
	${PROJECT_SOURCE_DIR}/pv/devicemanager.hpp
	${PROJECT_SOURCE_DIR}/pv/globalsettings.hpp
	${PROJECT_SOURCE_DIR}/pv/logging.hpp
	${PROJECT_SOURCE_DIR}/pv/mainwindow.hpp
	${PROJECT_SOURCE_DIR}/pv/session.hpp
	${PROJECT_SOURCE_DIR}/pv/storesession.hpp
	${PROJECT_SOURCE_DIR}/pv/binding/device.hpp
	${PROJECT_SOURCE_DIR}/pv/data/analog.hpp
	${PROJECT_SOURCE_DIR}/pv/data/analogsegment.hpp
	${PROJECT_SOURCE_DIR}/pv/data/logic.hpp
	${PROJECT_SOURCE_DIR}/pv/data/logicsegment.hpp
	${PROJECT_SOURCE_DIR}/pv/data/signalbase.hpp
	${PROJECT_SOURCE_DIR}/pv/devices/device.hpp
	${PROJECT_SOURCE_DIR}/pv/dialogs/connect.hpp
	${PROJECT_SOURCE_DIR}/pv/dialogs/inputoutputoptions.hpp
	${PROJECT_SOURCE_DIR}/pv/dialogs/settings.hpp
	${PROJECT_SOURCE_DIR}/pv/dialogs/storeprogress.hpp
	${PROJECT_SOURCE_DIR}/pv/popups/channels.hpp
	${PROJECT_SOURCE_DIR}/pv/popups/deviceoptions.hpp
	${PROJECT_SOURCE_DIR}/pv/prop/bool.hpp
	${PROJECT_SOURCE_DIR}/pv/prop/double.hpp
	${PROJECT_SOURCE_DIR}/pv/prop/enum.hpp
	${PROJECT_SOURCE_DIR}/pv/prop/int.hpp
	${PROJECT_SOURCE_DIR}/pv/prop/property.hpp
	${PROJECT_SOURCE_DIR}/pv/prop/string.hpp
	${PROJECT_SOURCE_DIR}/pv/toolbars/mainbar.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/analogsignal.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/cursor.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/flag.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/header.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/logicsignal.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/marginwidget.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/rowitem.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/ruler.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/signal.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/timeitem.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/timemarker.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/trace.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/tracegroup.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/tracetreeitem.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/triggermarker.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/view.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/viewitem.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/viewport.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/viewwidget.hpp
	${PROJECT_SOURCE_DIR}/pv/views/viewbase.hpp
	${PROJECT_SOURCE_DIR}/pv/views/trace/standardbar.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/colorbutton.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/colorpopup.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/devicetoolbutton.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/exportmenu.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/importmenu.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/popup.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/popuptoolbutton.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/sweeptimingwidget.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/timestampspinbox.hpp
	${PROJECT_SOURCE_DIR}/pv/widgets/wellarray.hpp
)

if(ENABLE_DECODE)
	list(APPEND pulseview_TEST_SOURCES
		${PROJECT_SOURCE_DIR}/pv/binding/decoder.cpp
		${PROJECT_SOURCE_DIR}/pv/data/decodesignal.cpp
		${PROJECT_SOURCE_DIR}/pv/data/decode/annotation.cpp
		${PROJECT_SOURCE_DIR}/pv/data/decode/decoder.cpp
		${PROJECT_SOURCE_DIR}/pv/data/decode/row.cpp
		${PROJECT_SOURCE_DIR}/pv/data/decode/rowdata.cpp
		${PROJECT_SOURCE_DIR}/pv/views/trace/decodetrace.cpp
		${PROJECT_SOURCE_DIR}/pv/widgets/decodergroupbox.cpp
		${PROJECT_SOURCE_DIR}/pv/widgets/decodermenu.cpp
	)

	list(APPEND pulseview_TEST_HEADERS
		${PROJECT_SOURCE_DIR}/pv/data/decodesignal.hpp
		${PROJECT_SOURCE_DIR}/pv/views/trace/decodetrace.hpp
		${PROJECT_SOURCE_DIR}/pv/widgets/decodergroupbox.hpp
		${PROJECT_SOURCE_DIR}/pv/widgets/decodermenu.hpp
	)
endif()

# On MinGW we need to use static linking.
if(NOT WIN32)
	add_definitions(-DBOOST_TEST_DYN_LINK)
endif()

add_executable(pulseview-test
	${pulseview_TEST_SOURCES}
	${pulseview_TEST_HEADERS_MOC}
)

target_link_libraries(pulseview-test ${PULSEVIEW_LINK_LIBS})

=== debian/changelog ===
pulseview (0.4.1-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:23:30 +0000

pulseview (0.4.1-1) unstable; urgency=medium

  * New upstream release.
    + Remove GCC 8 patch now included upstream.
    + Update debian/copyright.
  * Standards-Version: 4.2.1
    + Set Rules-Requires-Root to no.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 04 Nov 2018 10:40:50 +0000

=== debian/control ===
Source: pulseview
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>= 10), cmake (>= 2.8.6), pkg-config (>= 0.22),
 libglib2.0-dev (>= 2.28.0), libboost-system-dev, libboost-thread-dev,
 libboost-filesystem-dev, libboost-test-dev, libsigrokcxx-dev (>= 0.5.0),
 libsigrokdecode-dev (>= 0.5.0), libglibmm-2.4-dev (>= 2.28.0),
 qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev,
 libsigc++-2.0-dev (>= 2.10.0-2.1)
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: http://sigrok.org/wiki/PulseView
Vcs-Browser: https://salsa.debian.org/electronics-team/sigrok/pulseview
Vcs-Git: https://salsa.debian.org/electronics-team/sigrok/pulseview.git

Package: pulseview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sigrok logic analyzer, oscilloscope, and MSO GUI
 PulseView is a GUI for sigrok that supports logic analyzers, oscilloscopes,
 and MSOs.
 .
 It can acquire samples from a supported device and display them,
 load and display captures from existing sigrok *.sr files, as well
 as run protocol decoders and display their annotations.

## pulseview 0.4.1.1%2Brb2

=== debian/changelog ===
pulseview (0.4.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>  Fri, 29 Jan 2021 09:22:14 +0800

## pulseview 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 ##
 ## Copyright (C) 2012 Joel Holdsworth <joel@airwebreathe.org.uk>
 ## Copyright (C) 2012-2013 Alexandru Gagniuc <mr.nuke.me@gmail.com>
+## Copyright (C) 2020 Soeren Apel <soeren@apelpie.net>
 ##
 ## This program is free software: you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -44,6 +45,7 @@
 option(ENABLE_SIGNALS "Build with UNIX signals" TRUE)
 option(ENABLE_STACKTRACE "Enable stack trace when crashing" FALSE)
 option(ENABLE_DECODE "Build with libsigrokdecode" TRUE)
+option(ENABLE_FLOW "Build with libsigrokflow" FALSE)
 option(ENABLE_TESTS "Enable unit tests" FALSE)
 option(STATIC_PKGDEPS_LIBS "Statically link to (pkg-config) libraries" FALSE)
 
@@ -75,6 +77,11 @@
 list(APPEND PKGDEPS glib-2.0>=2.28.0)
 list(APPEND PKGDEPS glibmm-2.4>=2.28.0)
 
+if(ENABLE_FLOW)
+	list(APPEND PKGDEPS gstreamermm-1.0>=1.8.0)
+	list(APPEND PKGDEPS libsigrokflow>=0.1.0)
+endif()
+
 set(LIBSR_CXX_BINDING "libsigrokcxx>=0.5.1")
 list(APPEND PKGDEPS "${LIBSR_CXX_BINDING}")
 
@@ -87,7 +94,7 @@
 endif()
 
 find_package(PkgConfig)
-pkg_check_modules(LIBSRCXX QUIET ${LIBSR_CXX_BINDING})
+pkg_check_modules(LIBSRCXX ${LIBSR_CXX_BINDING})
 if(NOT LIBSRCXX_FOUND OR NOT LIBSRCXX_VERSION)
 	message(FATAL_ERROR "libsigrok C++ bindings missing, check libsigrok's 'configure' output (missing dependencies?)")
 endif()
@@ -95,14 +102,16 @@
 
 set(CMAKE_AUTOMOC TRUE)
 
-find_package(Qt5 COMPONENTS Core Gui Widgets Svg REQUIRED)
+find_package(Qt5 5.3 COMPONENTS Core Gui LinguistTools Widgets Svg REQUIRED)
+
+message(STATUS "Qt version: ${Qt5_VERSION}")
 
 if(WIN32)
 	# MXE workaround: Use pkg-config to find Qt5 libs.
 	# https://github.com/mxe/mxe/issues/1642
 	# Not required (and doesn't work) on MSYS2.
 	if(NOT DEFINED ENV{MSYSTEM})
-		pkg_check_modules(QT5ALL REQUIRED Qt5Widgets Qt5Gui Qt5Svg)
+		pkg_check_modules(QT5ALL REQUIRED Qt5Widgets>=5.3 Qt5Gui>=5.3 Qt5Svg>=5.3)
 	endif()
 endif()
 
@@ -183,7 +192,7 @@
 #-------------------------------------------------------------------------------
 
 set(PV_TITLE PulseView)
-set(PV_VERSION_STRING "0.4.1")
+set(PV_VERSION_STRING "0.4.2")
 
 set(PV_GLIBMM_VERSION ${PKGDEPS_glibmm-2.4_VERSION})
 
@@ -260,6 +269,7 @@
 	pv/prop/int.cpp
 	pv/prop/property.cpp
 	pv/prop/string.cpp
+	pv/subwindows/subwindowbase.cpp
 	pv/toolbars/mainbar.cpp
 	pv/views/trace/analogsignal.cpp
 	pv/views/trace/cursor.cpp
@@ -268,7 +278,6 @@
 	pv/views/trace/header.cpp
 	pv/views/trace/marginwidget.cpp
 	pv/views/trace/logicsignal.cpp
-	pv/views/trace/rowitem.cpp
 	pv/views/trace/ruler.cpp
 	pv/views/trace/signal.cpp
 	pv/views/trace/timeitem.cpp
@@ -291,6 +300,7 @@
 	pv/widgets/colorpopup.cpp
 	pv/widgets/devicetoolbutton.cpp
 	pv/widgets/exportmenu.cpp
+	pv/widgets/flowlayout.cpp
 	pv/widgets/importmenu.cpp
 	pv/widgets/popup.cpp
 	pv/widgets/popuptoolbutton.cpp
@@ -324,6 +334,7 @@
 	pv/prop/int.hpp
 	pv/prop/property.hpp
 	pv/prop/string.hpp
+	pv/subwindows/subwindowbase.hpp
 	pv/toolbars/mainbar.hpp
 	pv/views/trace/analogsignal.hpp
 	pv/views/trace/cursor.hpp
@@ -331,7 +342,6 @@
 	pv/views/trace/header.hpp
 	pv/views/trace/logicsignal.hpp
 	pv/views/trace/marginwidget.hpp
-	pv/views/trace/rowitem.hpp
 	pv/views/trace/ruler.hpp
 	pv/views/trace/signal.hpp
 	pv/views/trace/timeitem.hpp
@@ -350,6 +360,7 @@
 	pv/widgets/colorpopup.hpp
 	pv/widgets/devicetoolbutton.hpp
 	pv/widgets/exportmenu.hpp
+	pv/widgets/flowlayout.hpp
 	pv/widgets/importmenu.hpp
 	pv/widgets/popup.hpp
 	pv/widgets/popuptoolbutton.hpp
@@ -375,30 +386,10 @@
 		pv/data/decode/decoder.cpp
 		pv/data/decode/row.cpp
 		pv/data/decode/rowdata.cpp
+		pv/subwindows/decoder_selector/item.cpp
+		pv/subwindows/decoder_selector/model.cpp
+		pv/subwindows/decoder_selector/subwindow.cpp
+		pv/views/decoder_binary/view.cpp
+		pv/views/decoder_binary/QHexView.cpp
 		pv/views/trace/decodetrace.cpp
 		pv/widgets/decodergroupbox.cpp
-		pv/widgets/decodermenu.cpp
-	)
-
-	list(APPEND pulseview_HEADERS
-		pv/data/decodesignal.hpp
-		pv/views/trace/decodetrace.hpp
-		pv/widgets/decodergroupbox.hpp
-		pv/widgets/decodermenu.hpp
-	)
-endif()
-
-if(WIN32)
-	# Use the sigrok icon for the pulseview.exe executable.
-	set(CMAKE_RC_COMPILE_OBJECT "${CMAKE_RC_COMPILER} -O coff -I${CMAKE_CURRENT_SOURCE_DIR} <SOURCE> <OBJECT>")
-	enable_language(RC)
-	list(APPEND pulseview_SOURCES pulseviewico.rc)
-endif()
-
-if(ANDROID)
-	list(APPEND pulseview_SOURCES
-		android/assetreader.cpp
-		android/loghandler.cpp
-	)
-endif()
-

=== manual/CMakeLists.txt ===
##
## This file is part of the PulseView project.
##
## Copyright (C) 2018 Gerhard Sittig <gerhard.sittig@gmx.net>
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

cmake_minimum_required(VERSION 2.8.12)

# External dependencies, required and optional tools.
find_program(ASCIIDOCTOR_EXECUTABLE NAMES asciidoctor)
find_program(ASCIIDOCTOR_PDF_EXECUTABLE NAMES asciidoctor-pdf)

# Tunables.
set(STYLES_DIR "asciidoctor-stylesheet-factory/stylesheets")
set(STYLE_SHEET "readthedocs.css")

# Input files.
set(MANUAL_SRC "${CMAKE_CURRENT_SOURCE_DIR}/manual.txt")

# Output files, conversion results.
set(MANUAL_OUT_HTML "${CMAKE_CURRENT_BINARY_DIR}/manual.html")
set(MANUAL_OUT_PDF "${CMAKE_CURRENT_BINARY_DIR}/manual.pdf")

# Manual related make(1) targets.
add_custom_target(manual-html
	COMMAND ${ASCIIDOCTOR_EXECUTABLE}
		-a stylesheet=${STYLE_SHEET}
		-a stylesdir=${CMAKE_CURRENT_SOURCE_DIR}/${STYLES_DIR}
		-a toc=left
		--destination-dir=${CMAKE_CURRENT_BINARY_DIR}
		${MANUAL_SRC}
	BYPRODUCTS ${MANUAL_OUT_HTML}
	DEPENDS ${MANUAL_SRC}
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
	COMMENT "Generating manual, HTML output"
)
if (ASCIIDOCTOR_PDF_EXECUTABLE)
	add_custom_target(manual-pdf
		COMMAND ${ASCIIDOCTOR_PDF_EXECUTABLE}
			-a stylesheet=${STYLE_SHEET}
			-a stylesdir=${CMAKE_CURRENT_SOURCE_DIR}/${STYLES_DIR}
			--destination-dir=${CMAKE_CURRENT_BINARY_DIR}
			${MANUAL_SRC}
		BYPRODUCTS ${MANUAL_OUT_PDF}
		DEPENDS ${MANUAL_SRC}
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
		COMMENT "Generating manual, HTML output"
	)
else ()
	add_custom_target(manual-pdf
		COMMAND ${CMAKE_COMMAND} -E echo
			"asciidoctor-pdf executable is missing, NOT generating PDF output"
		DEPENDS ${MANUAL_SRC}
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
	)
endif ()
add_custom_target(manual)
add_dependencies(manual manual-html manual-pdf)

set(MANUAL_INST_SUBDIR "share/doc/pulseview")
install(
	FILES ${MANUAL_OUT_HTML} ${MANUAL_OUT_PDF}
	DESTINATION ${MANUAL_INST_SUBDIR}
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
	OPTIONAL
)
if (ASCIIDOCTOR_EXECUTABLE)
	install(
		DIRECTORY images
		DESTINATION ${MANUAL_INST_SUBDIR}
		FILE_PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
		PATTERN "*.xcf" EXCLUDE
	)
endif ()

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
 	${PROJECT_SOURCE_DIR}/pv/prop/string.cpp
 	${PROJECT_SOURCE_DIR}/pv/popups/channels.cpp
 	${PROJECT_SOURCE_DIR}/pv/popups/deviceoptions.cpp
+	${PROJECT_SOURCE_DIR}/pv/subwindows/subwindowbase.cpp
 	${PROJECT_SOURCE_DIR}/pv/toolbars/mainbar.cpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/analogsignal.cpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/cursor.cpp
@@ -62,7 +63,6 @@
 	${PROJECT_SOURCE_DIR}/pv/views/trace/header.cpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/marginwidget.cpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/logicsignal.cpp
-	${PROJECT_SOURCE_DIR}/pv/views/trace/rowitem.cpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/ruler.cpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/signal.cpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/timeitem.cpp
@@ -85,6 +85,7 @@
 	${PROJECT_SOURCE_DIR}/pv/widgets/colorpopup.cpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/devicetoolbutton.cpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/exportmenu.cpp
+	${PROJECT_SOURCE_DIR}/pv/widgets/flowlayout.cpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/importmenu.cpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/popup.cpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/popuptoolbutton.cpp
@@ -127,6 +128,7 @@
 	${PROJECT_SOURCE_DIR}/pv/prop/int.hpp
 	${PROJECT_SOURCE_DIR}/pv/prop/property.hpp
 	${PROJECT_SOURCE_DIR}/pv/prop/string.hpp
+	${PROJECT_SOURCE_DIR}/pv/subwindows/subwindowbase.hpp
 	${PROJECT_SOURCE_DIR}/pv/toolbars/mainbar.hpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/analogsignal.hpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/cursor.hpp
@@ -134,7 +136,6 @@
 	${PROJECT_SOURCE_DIR}/pv/views/trace/header.hpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/logicsignal.hpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/marginwidget.hpp
-	${PROJECT_SOURCE_DIR}/pv/views/trace/rowitem.hpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/ruler.hpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/signal.hpp
 	${PROJECT_SOURCE_DIR}/pv/views/trace/timeitem.hpp
@@ -153,6 +154,7 @@
 	${PROJECT_SOURCE_DIR}/pv/widgets/colorpopup.hpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/devicetoolbutton.hpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/exportmenu.hpp
+	${PROJECT_SOURCE_DIR}/pv/widgets/flowlayout.hpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/importmenu.hpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/popup.hpp
 	${PROJECT_SOURCE_DIR}/pv/widgets/popuptoolbutton.hpp
@@ -169,6 +171,11 @@
 		${PROJECT_SOURCE_DIR}/pv/data/decode/decoder.cpp
 		${PROJECT_SOURCE_DIR}/pv/data/decode/row.cpp
 		${PROJECT_SOURCE_DIR}/pv/data/decode/rowdata.cpp
+		${PROJECT_SOURCE_DIR}/pv/subwindows/decoder_selector/item.cpp
+		${PROJECT_SOURCE_DIR}/pv/subwindows/decoder_selector/model.cpp
+		${PROJECT_SOURCE_DIR}/pv/subwindows/decoder_selector/subwindow.cpp
+		${PROJECT_SOURCE_DIR}/pv/views/decoder_binary/view.cpp
+		${PROJECT_SOURCE_DIR}/pv/views/decoder_binary/QHexView.cpp
 		${PROJECT_SOURCE_DIR}/pv/views/trace/decodetrace.cpp
 		${PROJECT_SOURCE_DIR}/pv/widgets/decodergroupbox.cpp
 		${PROJECT_SOURCE_DIR}/pv/widgets/decodermenu.cpp
@@ -176,6 +183,9 @@
 
 	list(APPEND pulseview_TEST_HEADERS
 		${PROJECT_SOURCE_DIR}/pv/data/decodesignal.hpp
+		${PROJECT_SOURCE_DIR}/pv/subwindows/decoder_selector/subwindow.hpp
+		${PROJECT_SOURCE_DIR}/pv/views/decoder_binary/view.hpp
+		${PROJECT_SOURCE_DIR}/pv/views/decoder_binary/QHexView.hpp
 		${PROJECT_SOURCE_DIR}/pv/views/trace/decodetrace.hpp
 		${PROJECT_SOURCE_DIR}/pv/widgets/decodergroupbox.hpp
 		${PROJECT_SOURCE_DIR}/pv/widgets/decodermenu.hpp

=== debian/changelog ===
pulseview (0.4.2-4) unstable; urgency=medium

  * Fix Build-Depends / Build-Depends-Arch up
  * Switch to pkgconf instead of pkg-config
  * Always use highest available C++ standard (Closes: #1110613)
  * Bump acceptable CMake version range (Closes: #1113428)
  * Bump debian/watch to v4
  * Bump Standards-Version to 4.7.2

 -- Jonathan McDowell <noodles@earth.li>  Sun, 28 Sep 2025 15:13:08 +0100

pulseview (0.4.2-3) unstable; urgency=medium

  * Apply upstream patch to fix use of template behind C linkage
    (Closes: #997286)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 24 Oct 2021 13:40:30 +0100

pulseview (0.4.2-2) unstable; urgency=medium

  * Apply upstream patch to avoid obsolete QT methods (Closes: #976533)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 06 Dec 2020 10:15:06 +0000

pulseview (0.4.2-1) unstable; urgency=medium

  * New upstream release.
    + Add build-dep on qttools5-dev.
    + Update debian/copyright.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 21 Apr 2020 18:41:18 +0100

=== debian/control ===
Source: pulseview
Section: electronics
Priority: optional
Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>= 10),
Build-Depends-Arch: cmake (>= 2.8.6),
	libboost-system-dev,
	libboost-thread-dev,
	libboost-filesystem-dev,
	libboost-test-dev,
	libglib2.0-dev (>= 2.28.0),
	libglibmm-2.4-dev (>= 2.28.0),
	libsigrokcxx-dev (>= 0.5.0),
	libsigrokdecode-dev (>= 0.5.0),
	libqt5svg5-dev,
	libsigc++-2.0-dev (>= 2.10.0-2.1),
	pkgconf,
	qtbase5-dev,
	qtbase5-dev-tools,
	qttools5-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://sigrok.org/wiki/PulseView
Vcs-Browser: https://salsa.debian.org/electronics-team/sigrok/pulseview
Vcs-Git: https://salsa.debian.org/electronics-team/sigrok/pulseview.git

Package: pulseview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sigrok logic analyzer, oscilloscope, and MSO GUI
 PulseView is a GUI for sigrok that supports logic analyzers, oscilloscopes,
 and MSOs.
 .
 It can acquire samples from a supported device and display them,
 load and display captures from existing sigrok *.sr files, as well
 as run protocol decoders and display their annotations.

=== debian/watch ===
version=4
https://sigrok.org/download/source/pulseview pulseview-(.*)\.tar\.gz
